var
   chisl,
   znam  : byte;
   out : text;
   found : boolean;
   maxc,maxz:byte;
   min   : real;
function NOD(n1,n2 : byte):byte;
var
 nn1,nn2:byte;
begin
  nn1 := n1;
  nn2 := n2;
  while nn1 <> nn2 do if nn1 > nn2 then nn1 := nn1 - nn2 else nn2 := nn2 - nn1;
  NOD := nn1;
end;

Begin
  assign(out,'output.txt');
  rewrite(out);
  found := true;
  min := 0;
  while found do
  begin
  maxz := 1;
  maxc := 1;
    found := false;
    for chisl := 1 to 15 do
    for znam := 15 downto chisl do
      begin
        if (chisl/znam > min)and (chisl/znam < maxc/maxz) then
         begin
          maxc:=chisl;
          maxz:=znam;
          found := true;
         end;
      end;
    if found then writeln(out,maxc div NOD(maxc,maxz),'/',maxz div NOD(maxc,maxz),'=',maxc/maxz:0:8);
    min := maxc/maxz;
  end;
  close(out);
End.